Summary:	Library for IPTC metadata manipulation
Summary(pl.UTF-8):	Biblioteka do manipulacji metadanymi IPTC
Name:		libiptcdata
Version:	1.0.4
Release:	3
License:	LGPL v2+
Group:		Libraries
Source0:	http://downloads.sourceforge.net/libiptcdata/%{name}-%{version}.tar.gz
# Source0-md5:	af886556ecb129b694f2d365d03d95a8
URL:		http://libiptcdata.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-devel >= 0.13.1
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libiptcdata is a library, written in C, for manipulating the
International Press Telecommunications Council (IPTC) metadata stored
within multimedia files such as images. This metadata can include
captions and keywords, often used by popular photo management
applications. The library provides routines for parsing, viewing,
modifying, and saving this metadata.

%description -l pl.UTF-8
libiptcdata jest biblioteką napisaną w C pozwalająca na manipulowanie
metadanymi International Press Telecommunications Council (IPTC),
zapisanymi w plikach multimedialnych jak np. obrazy. Metadane te mogą
zawierać tytuł i słowa kluczowe, często używane przez popularne
programy zarządzające kolekcjami zdjęć. Biblioteka dostarcza procedury
do analizy, oglądania, modyfikowania i zapisywania metadanych.

%package devel
Summary:	Header files for libiptcdata library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libiptcdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libiptcdata library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libiptcdata.

%package static
Summary:	Static libiptcdata library
Summary(pl.UTF-8):	Statyczna biblioteka libiptcdata
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libiptcdata library.

%description static -l pl.UTF-8
Statyczna biblioteka libiptcdata.

%package -n python-iptcdata
Summary:	Python wrapper for libiptcdata
Summary(pl.UTF-8):	Wiązanie Pythona do libiptcdata
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-iptcdata
Python wrapper for libiptcdata.

%description -n python-iptcdata -l pl.UTF-8
Wiązanie Pythona do libiptcdata.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-python \
	--enable-static \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# libiptcdata and iptc domains (no translations yet)
%find_lang %{name} --all-name

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/iptcdata.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/iptc
%attr(755,root,root) %{_libdir}/libiptcdata.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiptcdata.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiptcdata.so
%{_libdir}/libiptcdata.la
%{_includedir}/libiptcdata
%{_pkgconfigdir}/libiptcdata.pc
%{_gtkdocdir}/libiptcdata

%files static
%defattr(644,root,root,755)
%{_libdir}/libiptcdata.a

%files -n python-iptcdata
%defattr(644,root,root,755)
%doc python/README
%attr(755,root,root) %{py_sitedir}/iptcdata.so
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libiptcdata.git;a=log;h=master

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> ea0d72e
- release 3 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> de8092f
- release 2 (by relup.sh)

* Thu Nov 11 2010 Jakub Bogusz <qboosh@pld-linux.org> e0208c9
- ghost soname symlink
- package translations

* Tue Oct 26 2010 Caleb Maclennan <caleb@alerque.com> 2da1ef8
- Up to 1.0.4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 854df08
- release 4

* Tue Dec 01 2009 sparky <sparky@pld-linux.org> 1fd3b4d
- BR: gettext-devel, pkgconfig

* Tue Oct 28 2008 Paweł Gołaszewski <blues@pld-linux.org> 54e5f96
- rel.3

* Fri Oct 17 2008 Marcin Banasiak <marcin.banasiak@gmail.com> faca51f
- release 2

* Fri May 25 2007 Jakub Bogusz <qboosh@pld-linux.org> eb37818
- updated to 1.0.2

* Wed Apr 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 0811e8a
- updated to 1.0.1
- package python wrapper

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> bba7f27
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e9ecfc8
- converted to UTF-8

* Mon Nov 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 0126748
- unified

* Sun Nov 13 2005 freetz <freetz@pld-linux.org> 42b488a
- initial

